/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * ReuseSuggestion
 */

public class ReuseSuggestion {
  @JsonProperty("id")
  private String id = null;

  @JsonProperty("image_url")
  private String imageUrl = null;

  @JsonProperty("page")
  private String page = null;

  @JsonProperty("score")
  private BigDecimal score = null;

  @JsonProperty("slug")
  private String slug = null;

  @JsonProperty("title")
  private String title = null;

   /**
   * The reuse identifier
   * @return id
  **/
  @ApiModelProperty(value = "The reuse identifier")
  public String getId() {
    return id;
  }

  public ReuseSuggestion imageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
    return this;
  }

   /**
   * The reuse thumbnail URL
   * @return imageUrl
  **/
  @ApiModelProperty(value = "The reuse thumbnail URL")
  public String getImageUrl() {
    return imageUrl;
  }

  public void setImageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
  }

   /**
   * The reuse page URL
   * @return page
  **/
  @ApiModelProperty(value = "The reuse page URL")
  public String getPage() {
    return page;
  }

   /**
   * The internal match score
   * @return score
  **/
  @ApiModelProperty(value = "The internal match score")
  public BigDecimal getScore() {
    return score;
  }

   /**
   * The reuse permalink string
   * @return slug
  **/
  @ApiModelProperty(value = "The reuse permalink string")
  public String getSlug() {
    return slug;
  }

   /**
   * The reuse title
   * @return title
  **/
  @ApiModelProperty(value = "The reuse title")
  public String getTitle() {
    return title;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ReuseSuggestion reuseSuggestion = (ReuseSuggestion) o;
    return Objects.equals(this.id, reuseSuggestion.id) &&
        Objects.equals(this.imageUrl, reuseSuggestion.imageUrl) &&
        Objects.equals(this.page, reuseSuggestion.page) &&
        Objects.equals(this.score, reuseSuggestion.score) &&
        Objects.equals(this.slug, reuseSuggestion.slug) &&
        Objects.equals(this.title, reuseSuggestion.title);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, imageUrl, page, score, slug, title);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ReuseSuggestion {\n");

    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    imageUrl: ").append(toIndentedString(imageUrl)).append("\n");
    sb.append("    page: ").append(toIndentedString(page)).append("\n");
    sb.append("    score: ").append(toIndentedString(score)).append("\n");
    sb.append("    slug: ").append(toIndentedString(slug)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

